%define upstream_name    Hash-MoreUtils
%define upstream_version 0.06

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Provide the stuff missing in Hash::Util
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Hash/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More) >= 0.900.0
BuildArch:  noarch

%description
Similar to 'List::MoreUtils', 'Hash::MoreUtils' contains trivial but
commonly-used functionality for hashes.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.60.0-5.mga10
+ Revision: 2203992
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.60.0-4.mga9
+ Revision: 1809484
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.60.0-3.mga8
+ Revision: 1504731
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.60.0-2.mga7
+ Revision: 1284237
- Mageia 7 Mass Rebuild

* Sat Jun 09 2018 tv <tv> 0.60.0-1.mga7
+ Revision: 1235670
- update to 0.06

* Sun Jun 19 2016 pterjan <pterjan> 0.50.0-5.mga6
+ Revision: 1028198
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.50.0-4.mga6
+ Revision: 945258
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.50.0-3.mga5
+ Revision: 748636
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.50.0-2.mga5
+ Revision: 685028
- Mageia 5 Mass Rebuild

* Sat Feb 08 2014 sander85 <sander85> 0.50.0-1.mga5
+ Revision: 586401
- update to 0.05

* Mon Oct 21 2013 umeabot <umeabot> 0.40.0-2.mga4
+ Revision: 539270
- Mageia 4 Mass Rebuild

* Sat Oct 05 2013 sander85 <sander85> 0.40.0-1.mga4
+ Revision: 491714
- update to 0.04

* Sun Sep 08 2013 sander85 <sander85> 0.30.0-1.mga4
+ Revision: 476342
- update to 0.03

* Sun Jan 13 2013 umeabot <umeabot> 0.20.0-2.mga3
+ Revision: 368378
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 18 2011 jquelin <jquelin> 0.20.0-1.mga1
+ Revision: 22452
- cleaning spec file
- imported package perl-Hash-MoreUtils


* Sat Dec 25 2010 Shlomi Fish <shlomif@mandriva.org> 0.20.0-1mdv2011.0
+ Revision: 624827
- import perl-Hash-MoreUtils

